/***
 * OW2 FraSCAti Assembly Factory
 * Copyright (C) 2008-2009 INRIA, USTL
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org 
 *
 * Author: Nicolas Dolet
 * 
 * Contributor(s): Philippe Merle
 */

package org.ow2.frascati.factory.core.instance.binding;

import java.util.Map;
import org.objectweb.fractal.bf.connectors.rest.RestConnectorConstants;
import org.eclipse.stp.sca.domainmodel.frascati.FrascatiPackage;
import org.eclipse.stp.sca.domainmodel.frascati.RestBinding;

/**
 * Bind components using a RESTful Binding.
 *
 * @author Nicolas Dolet
 * @version 1.1
 */
@org.objectweb.fractal.fraclet.annotations.Component
public class ScaBindingRest extends AbstractRemoteBinding<RestBinding> {

  // --------------------------------------------------------------------------
  // Implementation of the abstract methods
  // --------------------------------------------------------------------------

  public String getBindingID() {
    return getID(FrascatiPackage.Literals.REST_BINDING);
  }

  @Override
  public String getBindingFactoryPluginId() {
    return "rest";
  }

  @Override
  @SuppressWarnings("static-access")
  public void initializeBindingHints(RestBinding restBinding, Map<String, Object> hints) {
    // set protocol specific parameter
    hints.put(RestConnectorConstants.URI, restBinding.getUri());
  }
}
