/***
 * OW2 FraSCAti Assembly Factory
 * Copyright (C) 2009 INRIA, USTL
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org 
 *
 * Author: Damien Fournier
 * 
 * Contributor(s): Nicolas Dolet
 */

package org.ow2.frascati.factory.core.instance.implementation;

import org.eclipse.stp.sca.Implementation;
import org.objectweb.fractal.api.Component;
import org.objectweb.fractal.api.factory.InstantiationException;
import org.objectweb.fractal.api.type.ComponentType;
import org.objectweb.fractal.fraclet.annotations.Requires;
import org.ow2.frascati.factory.core.instance.NotSupportedException;
import org.ow2.frascati.factory.core.instance.runtime.RuntimeFactory;
import org.ow2.frascati.factory.core.parser.util.ScaModelHelper;
import org.eclipse.stp.sca.domainmodel.frascati.FrascatiPackage;
import org.eclipse.stp.sca.domainmodel.frascati.OsgiImplementation;

/**
 * Create SCA component instances for osgi implementation type
 * 
 * @author <a href="mailto:damien.fournier@inria.fr">Damien Fournier</a>
 * @version 1.1
 */

@org.objectweb.fractal.fraclet.annotations.Component
public class ScaOSGIImpl implements ScaImplementation {
  
  /**
   * The implementation type calculated with Object Eclass
   */

  public static String IMPLEMENTATION_TYPE = ScaModelHelper.getID(FrascatiPackage.Literals.OSGI_IMPLEMENTATION);

  /**
   * Logger for this class
   */

  java.util.logging.Logger log = java.util.logging.Logger
      .getLogger(ScaOSGIImpl.class.getCanonicalName());

  /**
   * The required runtime
   */

  @Requires(name = "runtime")
  RuntimeFactory runtime;

  public Component create(Implementation implementation,
      ComponentType componentType) throws ImplementationException,
      NotSupportedException {
    
    throw new NotSupportedException("OSGI Implementation type not supported yet");
    
    //TODO uncomment following lines to reactivate OSGI support once corrected
    
    /*
    Component component = null;
    OsgiImplementation osgiImpl = (OsgiImplementation) implementation;

    log.finer("Create osgi component for " + osgiImpl.getBundle());
    

    // get instance of an OSGI primitive component
    try {
      component = runtime.newFcInstance(componentType, new Object[] {
            runtime.getClassLoader(), "osgiPrimitive" }, osgiImpl.getBundle());
    } catch (InstantiationException e) {
      throw new ImplementationException("Error while creating OSGI component instance",e);
    }

    return component;
    */

  }

  public String getImplementationID() {
    return IMPLEMENTATION_TYPE;
  }

}
