/***
 * OW2 FraSCAti Assembly Factory
 * Copyright (C) 2009 INRIA, USTL
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org 
 *
 * Author: Philippe Merle
 * Contributor(s):
 */

package org.ow2.frascati.factory.core.instance.implementation.script;

import org.objectweb.fractal.api.control.AttributeController;

/**
 * {@link AttributeController} of {@link ScriptingEngineComponent}.
 *
 * TODO: Must be completed to provide fine grain configurability of a scripting engine component.
 * 
 * @author Philippe Merle
 */
public interface ScriptEngineAttributes extends AttributeController {

  /**
   * Get the scripting language.
   *
   * @return the scripting language
   */
  public String getLanguage();

  /**
   * Get the script.
   *
   * @return the script
   */
  public String getScript();

  /**
   * Set the script.
   *
   * @param script the script
   */
  public void setScript(String script);
}
