/***
 * OW2 FraSCAti Assembly Factory
 * Copyright (C) 2009 INRIA, USTL
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org 
 *
 * Author: Nicolas Dolet
 * 
 * Contributor(s): Damien Fournier
 */

package org.ow2.frascati.factory.core.instance.intent;

import java.util.List;

import javax.xml.namespace.QName;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.stp.sca.ComponentService;
import org.eclipse.stp.sca.ScaPackage;
import org.objectweb.fractal.fraclet.annotations.Component;

/**
 * {@link ScaIntent} implementation that set intents for server interfaces
 * 
 * @author <a href="mailto:nicolas.dolet@inria.fr">Nicolas Dolet</a>
 * @version $Revision$
 */
@Component
public class ServiceIntent
     extends AbstractIntentItfPlugin {

  //---------------------------------------------------------------------------
  // Implementation of the abstract methods
  // --------------------------------------------------------------------------
  
  @Override
  public int getEObjectID() {
    return ScaPackage.COMPONENT_SERVICE;
  }
  
  @Override
  public List<QName> getIntentsFromModel(EObject modelElement) {
    return ((ComponentService) modelElement).getRequires();
  }
  
  @Override
  public String getName(EObject service) {
    return ((ComponentService) service).getName();
  }

}
