package org.ow2.frascati.factory.core.parser.util;

/***
 * OW2 FraSCAti Assembly Factory
 * Copyright (C) 2008-2009 INRIA, USTL
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org 
 *
 * Author: Damien Fournier
 */

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * Utility Class for SCA model
 * 
 * @author <a href="mailto:damien.fournier@inria.fr">Damien Fournier</a>
 * @version $Revision$
 * @since 1.1
 */


public class ScaModelHelper {
  
  /**
   * Return an ID for a given Element in the SCA Model
   * 
   * @param eObj
   * @return String value calculated using EClass package and name
   */
  
  public static String getID(EObject eObj) {
    return eObj.eClass().getEPackage().getNsURI().toString() + "#" + eObj.eClass().getName();
  }
  
  /**
   * Return an ID for a given Element in the SCA Model
   * 
   * @param eclass
   * @return String value calculated using EClass package and name
   */
  
  public static String getID(EClass eclass) {
    return eclass.getEPackage().getNsURI().toString() + "#" + eclass.getName();
  }

}
