/***
 * OW2 FraSCAti fscript
 * Copyright (C) 2009 INRIA, USTL
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org
 *
 * Author: Christophe Demarey
 *
 * Contributor(s):
 */

package org.ow2.frascati.fscript;

import java.util.Collections;

import org.objectweb.fractal.adl.Factory;
import org.objectweb.fractal.adl.FactoryFactory;
import org.objectweb.fractal.api.Component;
import org.objectweb.fractal.fscript.FScript;
import org.objectweb.fractal.fscript.console.Main;
import org.objectweb.fractal.util.Fractal;


/**
 * Main class to launch the FraSCAtiScript console.
 *
 * @author Christophe Demarey.
 */
public class Console extends Main {
  private static final String FRASCATI_SCRIPT_ADL = "org.ow2.frascati.fscript.FraSCAtiScript";

  public static void main(String[] args) throws Exception {
    if (args.length == 0) {
        configureFractal(null);
    } else if (args.length == 1) {
        configureFractal(args[0]);
    } else {
        System.err.println("Usage: java " + Main.class.getName() + " [file.properties]");
        System.exit(1);
    }
    
    Factory fact = FactoryFactory.getFactory(FactoryFactory.FRACTAL_BACKEND);
    String engineDef = System.getProperty("fscript.engine", FRASCATI_SCRIPT_ADL);
    Component fscript = (Component) fact.newComponent(engineDef, Collections.emptyMap());
    Fractal.getLifeCycleController(fscript).startFc();
    FScript.loadStandardLibrary(fscript);
    new TextConsole(fscript).run();
    System.exit(0);
  }
}
