/***
 * OW2 FraSCAti fscript
 * Copyright (C) 2009 INRIA, USTL
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org
 *
 * Author: Christophe Demarey
 *
 * Contributor(s):
 */
package org.ow2.frascati.fscript;

import java.io.IOException;

import org.objectweb.fractal.api.Component;

/**
 * A FraSCAtiScript console ("shell") to manipulate SCA and Fractal architectures interactively on the
 * command-line.
 * 
 * @author Christophe Demarey
 */
public class TextConsole extends org.objectweb.fractal.fscript.console.TextConsole {
  /**
   * The console prompt.
   */
  protected static final String PROMPT = "FraSCAtiScript> ";

  /**
   * The welcome banner.
   */
  protected static final String BANNER = "FraSCAtiScript console.\n\n" + "Useful commands:\n"
          + "- type ':help' for a list of available commands\n"
          + "- type ':help <cmd>' for detailed help on a specific command\n"
          + "- type ':quit' to exit\n\n";

  public TextConsole(Component fscript) throws IOException {
    super(fscript);
    // Override the classpath_add command with the FraSCAtiScript version
    register(new org.ow2.frascati.fscript.ClassPathAddCommand());
  }
  
}
